Subject: Re: GPF error building Perl 5.6
From: "David A Ireland" <[email-masked]>
To: "Charles Wilson" <[email-masked]>
Cc: <[email-masked]>
Date: Sat, 28 Oct 2000 09:26:22 +1100

Chuck,

1. Apologies for missing your message in the archives. I must admit I
believed the instructions at the start of the Perl-5.6.0-README that said
"no patches necessary". I must remember to check version numbers a bit more
closely next time.

2. I've reloaded Cygwin since the GPF errors with cygipc and have managed to
build cygipc successfully from the source this time.

3. What options do I use with 'patch' for the Perl patches? I'm still a bit
fresh to this. It's been nearly 15 years since I last used a Unix machine in
anger.

4. As for the GPF error when compiling the unpatched Perl, I've attached my
cygcheck results at the end of this message.

Regards,
David Ireland

----- Original Message -----
From: "Charles Wilson" <[email-masked]>
To: "David A Ireland" <[email-masked]>
Cc: <[email-masked]>
Sent: Saturday, 28 October 2000 2:48 AM
Subject: Re: GPF error building Perl 5.6

David A Ireland wrote:
>
> I'm trying to build Perl 5.6 onto my newly installed version 1.1.4 of
Cygwin
> (downloaded yesterday). Using CygUtils Perl 5.6 source code. Running on
> Windows 98 se.

The CygUtils version of the source is basically a pristine copy of the
"real" perl source, because perl-5.6.0 built OOB on cygwin-1.1.1.
However, perl-5.6.0 does NOT build OOB on cygwin-1.1.4.  There are a
bunch of additional patches necessary to get it to build on
cygwin-1.1.4.

>
> Everything goes fine until 'make test'. It almost completes and gets to
> "Everything is up to date. 'make test' to run test suite."
>
> then "Signal 127" followed by a Windows GPF:
>
> PERL caused an invalid page fault in module CYGWIN1.DLL at 1067:610446f6
>
> make: *** [install.perl] Error 255
>
> 'make install' and 'make install.html' give a similar error.

Okay, this is NOT the expected failure mode when building pristine
perl-5.6.0 on cygwin-1.1.4.  You've discovered something new. (*)

>
> I've uninstalled  and re-installed Cygwin three times now and been through
> all the FAQs and Archives, but no help.

Even the messages in the Archives where I've said "you need extra
patches in order to build perl on cygwin-1.1.4." And gave a pointer to
the perl5-porters mailing list?

>
> The reason I'm installing Perl from the source is because the CygUtils
> binary version seems to have problems adding new modules (more GPF errors
> and missing cygutil files).

Yes, you need to install cygipc, which is available from CygUtils.  I
beleive that is the only dependency not included in the base
distribution of cygwin.

What's this about GPFs with the cygutils perl binary? Nodoby has
reported THAT to me or to this list...strange...  I use cygutils-perl
daily, and haven't seen this.

> Any suggestions?
>
> All I want to do is run Perl in a stable environment that ActiveState Perl
> isn't.

Attached find Eric Fifer's patches for building perl on cygwin-1.1.4.
There are eight patches, apply them in order.  Only the first four are
strictly necessary to get perl to build on 1.1.4; then last four are
bugfixes.  All have been submitted and accepted by the perl5-porters
team for inclusion in 5.6.1.

I don't know if these patches will fix your GPF problem; as I said,
that's not the error I get when trying to build an unpatched perl on
cygwin-1.1.4.

--Chuck
Cygcheck results follow:

=====================================

Cygnus Win95/NT Configuration Diagnostics
Current System Time: Sat Oct 28 08:16:06 2000

Win9X Ver 4.10 build 67766446  A

Path: /usr/local/bin
 /usr/bin
 /usr/bin
 /cygdrive/c/WINDOWS
 /cygdrive/c/WINDOWS/COMMAND
 /cygdrive/c/MSSQL7/BINN
 /cygdrive/c/PROGRA~1/ULTRAE~1
 /cygdrive/c/PERL/BIN
 /cygdrive/c/BIN
 /cygdrive/c/PROGRA~1/NETWOR~1/MCAFEE~1

SysDir: C:\WINDOWS\SYSTEM
WinDir: C:\WINDOWS

HOME = `/home/direland'
MAKE_MODE = `unix'
PWD = `/'
USER = `direland'

!C: = `C:\cygwin\bin'
BLASTER = `A240 I2 D1 T4'
CLASSPATH = `C:\Program Files\PhotoDeluxe 2.0\AdobeConnectables'
CMDLINE = `bash --login -i'
COMSPEC = `C:\WINDOWS\COMMAND.COM'
HOSTNAME = `DIRELAND'
HOSTTYPE = `i686'
MACHTYPE = `i686-pc-cygwin'
OLDPWD = `/usr/local/src/cygipc-1.07'
OSTYPE = `cygwin'
PROMPT = `$p$g'
PS1 = `\[\033]0;\w\007
\033[32m\]\u@\h \[\033[33m\w\033[0m\]
$ '
SHELL = `/bin/sh'
SHLVL = `1'
TEMP = `/cygdrive/c/WINDOWS/TEMP'
TERM = `cygwin'
WINBOOTDIR = `C:\WINDOWS'
WINDIR = `C:\WINDOWS'
_ = `/usr/bin/cygcheck'
TZ = `SST-10SDT-11,M8.5.0/2,M3.5.0/2'

HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Explorer\MenuOrd
er\Start Menu\&Programs\Cygnus Solutions
  (default) = (unsupported type)
HKEY_CURRENT_USER\Software\Cygnus Solutions
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2
  (default) = `/cygdrive'
  cygdrive flags = 0x00000020
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\Program Options
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts v2
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts v2\/
  (default) = `C:/cygwin'
  flags = 0x0000000a
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts v2\/usr/bin
  (default) = `C:/cygwin/bin'
  flags = 0x0000000a
HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts v2\/usr/lib
  (default) = `C:/cygwin/lib'
  flags = 0x0000000a

a:  fd           N/A    N/A
c:  hd  FAT32  12405Mb  47% CP    UN           13GB
d:  fd           N/A    N/A
e:  cd           N/A    N/A
k:  fd           N/A    N/A
s:  net FAT32  11425Mb  33% CP    UN
y:  net FAT32   4102Mb  29% CP    UN           D_4GB

C:\cygwin\bin  /usr/bin  system  binmode
C:\cygwin\lib  /usr/lib  system  binmode
C:\cygwin  /        system  binmode

Found: C:\cygwin\bin\bash.exe
Found: C:\cygwin\bin\cat.exe
Found: C:\cygwin\bin\cpp.exe
Found: C:\cygwin\bin\find.exe
Found: c:\WINDOWS\COMMAND\find.exe
Warning: C:\cygwin\bin\find.exe hides c:\WINDOWS\COMMAND\find.exe
Found: C:\cygwin\bin\gcc.exe
Found: C:\cygwin\bin\gdb.exe
Found: C:\cygwin\bin\ld.exe
Found: C:\cygwin\bin\ls.exe
Found: C:\cygwin\bin\make.exe
Found: C:\cygwin\bin\sh.exe

   83k 2000/06/11 C:\cygwin\bin\cygitcl30.dll - os=4.0 img=1.0 sys=4.0
                  "cygitcl30.dll" v0.0 ts=2000/6/11 13:34
   35k 2000/06/11 C:\cygwin\bin\cygitk30.dll - os=4.0 img=1.0 sys=4.0
                  "cygitk30.dll" v0.0 ts=2000/6/11 13:34
  402k 2000/06/11 C:\cygwin\bin\cygtcl80.dll - os=4.0 img=1.0 sys=4.0
                  "cygtcl80.dll" v0.0 ts=2000/6/11 13:30
    5k 2000/06/11 C:\cygwin\bin\cygtclpip80.dll - os=4.0 img=1.0 sys=4.0
   10k 2000/06/11 C:\cygwin\bin\cygtclreg80.dll - os=4.0 img=1.0 sys=4.0
                  "cygtclreg80.dll" v0.0 ts=2000/6/11 13:30
  639k 2000/06/11 C:\cygwin\bin\cygtk80.dll - os=4.0 img=1.0 sys=4.0
                  "cygtk80.dll" v0.0 ts=2000/6/11 13:34
  586k 2000/08/04 C:\cygwin\bin\cygwin1.dll - os=4.0 img=1.0 sys=4.0
                  "cygwin1.dll" v0.0 ts=2000/8/4 10:53
    Cygwin DLL version info:
        dll major: 1001
        dll minor: 4
        dll epoch: 19
        dll bad signal mask: 19005
        dll old termios: 5
        api major: 0
        api minor: 26
        shared data: 3
        dll identifier: cygwin1
        mount registry: 2
        cygnus registry name: Cygnus Solutions
        cygwin registry name: Cygwin
        program options name: Program Options
        cygwin mount registry name: mounts v2
        build date: Thu Aug 3 20:53:46 EDT 2000
        CVS tag: cygwin-1-1-4
        shared id: cygwin1S3

Use -h to see help about each section

--
Want to unsubscribe from this list?
Send a message to [email-masked]